HELP ASAP

I am trying to run this database and it given me all kids of problems. Please someone help.

ORA-00704: bootstrap process failure
ORA-39700: database must be opened with UPGRADE option
Fri Dec 30 16:08:56 2005
Error 704 happened during db open, shutting down database
USER: terminating instance due to error 704
Instance terminated by USER, pid = 3990
ORA-1092 signalled during: ALTER DATABASE OPEN...
gorhamoienAsked:
Who is Participating?
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

jrb1senior developerCommented:
check this:

alert_sid.log
Sandy_itCommented:
Have you tried doing this ?

SQL> startup mount;
SQL> alter database open upgrade;

or try this

SQL> startup upgrade;

According to a metalink note ..

".....Starting in 10.2, we have a new check to be sure that the data dictionary version and the instance version are the same, in order to open the database for normal operation. If you create the database and run catalog and catproc before shutting down, then all will be well. If you shutdown the database before running catalog and catproc, you need to open the database in UPGRADE mode, and run both those scripts, before trying to open the database for normal use. "

After doing the above if the database startsup correctly, do this :

SQL>@<oracle home>/rdbms/admin/catalog.sql
SQL>@<oracle home>/rdbms/admin/catproc.sql

Running these two scripts will recreate the the Data Dictionary and hopefully everything should be fine.

Rgds
-Sandy

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
Sandy_itCommented:
Hi

Any updates

Rgds
-Sandy
Exploring SharePoint 2016

Explore SharePoint 2016, the web-based, collaborative platform that integrates with Microsoft Office to provide intranets, secure document management, and collaboration so you can develop your online and offline capabilities.

gorhamoienAuthor Commented:
I tried that solutions but now getting more issues.

Install_driver(Oracle) failed: Can't load '/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi/auto/DBD/Oracle/Oracle.so' for module DBD::Oracle: libclntsh.so.10.1: cannot open shared object file: No such file or directory at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/DynaLoader.pm line 230.

jrb1senior developerCommented:
Darn.  I'd have hoped the alert log would have pointed directly to a solution, but now things seems to be worse.

For that, you need to add a

 LD_LIBRARY_PATH=/usr/lib/oracle/xe/app/oracle/product/10.2.0/server/lib

or maybe

 LD_RUN_PATH=/usr/lib/oracle/xe/app/oracle/product/10.2.0/server/lib
Sandy_itCommented:
Hi

Find out the above said 'so' namely (libclntsh.so.10.1 or it's equivaent libclntsh.so ) and create a llink to the same in the /usr/lib  and the /usr/ocal/lib directory with name libclntsh.so.10.1 and then try.

Rgds
-Sandy
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
Oracle Database

From novice to tech pro — start learning today.